Subject: Re: [lojban] Usage of logical connectives?

From: Rob Speer <[email-masked]>
Date: Thu, 26 Apr 2001 01:02:23 -0400

On Thu, Apr 26, 2001 at 04:22:51AM +0000, Jorge Llambias wrote:
> 
> la robyspir cusku di'e
> 
> >Anyhow, what _would_ {ko nicygau ledo kumfa .ijo mi ba curmi lenu do klama 
> >le
> >panka} mean?
> >
> >{ko nicygau ledo kumfa} on is a logical statement. The child may decide it 
> >to
> >be false {na go'i .i oi mi na djica} but the {ko} means that the parent 
> >would
> >like it to be true.
> 
> No, the parent is asking the child to make the whole statement true,
> but the child can't make it true until they know whether the parent
> will give permision or not. The child cannot make the statement true
> by their own actions.

The child can make the 'ko' part of it true, and then by the parent's statement
he/she will let the child go to the park. Unless the parent was lying, which is
not a good thing to do to your child.

> >{mi ba curmi lenu do klama le panka} is also a statement which can be true 
> >or
> >false, and the child has no control over that.
> 
> Exactly, so how can the child make the statement true without
> knowing what the parent will do?

Because most children do not assume their parents are liars.

> >So with the .ijo, these statements restrict each other, as such:
> >I will let you go to the park, but only if you clean your room.
> 
> Or: You clean your room, but only if I let you go to the park.

Precisely! As I pointed out, the parent could avoid this consequence of the
statement by using .ijanai, but the child should realize that .ijo is more
fair. If you really believe that the parent wants to make the child clean his
room and then not let him go to the park anyway, then consider the same
sentence with .ijanai instead of .ijo.

> >If you do clean your room, I will let you go to the park.
> 
> If I don't let you go to the park, don't clean your room.

Which is the contrapositive of above.

> >(This creates an obligation both ways - if it turns out that there's a
> >thunderstorm and so the child can't go to the park, the child doesn't have 
> >to
> >clean his room. This is probably not the consequence the parent wants to 
> >focus
> >on, but a child might understand that .ijo is inherently more fair than
> >.ijanai.)
> 
> The parent can just say: {ko nicygau ledo kumfa .i mi ba curmi
> lenu do klama le panka} "You clean your room, I let you go to
> the park." That is just as effective to create an obligation
> both ways, and it makes much more sense because it is clear.
> The "contractual" implication is present or absent as much as
> in the {jo} case, and the child need not guess that the parent
> wants both halves to be true rather than both false. Even if
> it is obvious that that is what the parent wants, {jo} does not
> help to make it clear.

In English a parent might word the statement more strongly as "If you don't
clean your room, I won't let you go to the park." Sure, in some mirror universe
this could mean that the parent doesn't want the child to clean his room, and
the child doesn't want to be allowed to go to the park, but in reality it's
clear that even in the negative the parent wants the child to clean his room.

If you use .i, the statements are completely independent. If the child doesn't
clean his room, he's a bad child for not doing so, but then the parent's
already promised to let him go to the park anyway.

> >Certainly the fact that one event is compensation for the other is not
> >explicitly expressed, but I think that the relationship between the events 
> >is
> >so clear that it wouldn't need to be.
> 
> Right, so what does {jo} do other than obfuscate and allow
> for unwanted possibilities? The relationship betwen the events
> is even more clear without it.

Are you saying your version with ".i" is more clear?

Anyway, with your understanding of the logical connectives, I would like to
know what possible use they would have. You seem to want to take a fundamental
part of Lojban (they were given five out of six one-letter cmavo and a whole
bunch of others as well; Zipf would seem to imply that the words are important)
and replace them with gismu which express the idea the way we would in English.

-- 
Rob Speer